# RakNetStatistics Struct Reference

Network Statisics Usage. More...

`#include <RakNetStatistics.h>`

List of all members.

## Public Attributes
unsigned | messageSendBuffer [NUMBER_OF_PRIORITIES]
| Number of Messages in the send Buffer (high, medium, low priority).
unsigned | messagesSent [NUMBER_OF_PRIORITIES]
| Number of messages sent (high, medium, low priority).
uint64_t | messageDataBitsSent [NUMBER_OF_PRIORITIES]
| Number of data bits used for user messages.
uint64_t | messageTotalBitsSent [NUMBER_OF_PRIORITIES]
| Number of total bits used for user messages, including headers.
unsigned | packetsContainingOnlyAcknowlegements
| Number of packets sent containing only acknowledgments.
unsigned | acknowlegementsSent
| Number of acknowledgments sent.
unsigned | acknowlegementsPending
| Number of acknowledgments waiting to be sent.
uint64_t | acknowlegementBitsSent
| Number of acknowledgments bits sent.
unsigned | packetsContainingOnlyAcknowlegementsAndResends
| Number of packets containing only acknowledgments and resends.
unsigned | messageResends
| Number of messages resent.
uint64_t | messageDataBitsResent
| Number of bits resent of actual data.
uint64_t | messagesTotalBitsResent
| Total number of bits resent, including headers.
unsigned | messagesOnResendQueue
| Number of messages waiting for ack (// TODO - rename this).
unsigned | numberOfUnsplitMessages
| Number of messages not split for sending.
unsigned | numberOfSplitMessages
| Number of messages split for sending.
unsigned | totalSplits
| Total number of splits done for sending.
unsigned | packetsSent
| Total packets sent.
uint64_t | encryptionBitsSent
| Number of bits added by encryption.
uint64_t | totalBitsSent
| total bits sent
unsigned | sequencedMessagesOutOfOrder
| Number of sequenced messages arrived out of order.
unsigned | sequencedMessagesInOrder
| Number of sequenced messages arrived in order.
unsigned | orderedMessagesOutOfOrder
| Number of ordered messages arrived out of order.
unsigned | orderedMessagesInOrder
| Number of ordered messages arrived in order.
unsigned | packetsReceived
| Packets with a good CRC received.
unsigned | packetsWithBadCRCReceived
| Packets with a bad CRC received.
uint64_t | bitsReceived
| Bits with a good CRC received.
uint64_t | bitsWithBadCRCReceived
| Bits with a bad CRC received.
unsigned | acknowlegementsReceived
| Number of acknowledgement messages received for packets we are resending.
unsigned | duplicateAcknowlegementsReceived
| Number of acknowledgement messages received for packets we are not resending.
unsigned | messagesReceived
| Number of data messages (anything other than an ack) received that are valid and not duplicate.
unsigned | invalidMessagesReceived
| Number of data messages (anything other than an ack) received that are invalid.
unsigned | duplicateMessagesReceived
| Number of data messages (anything other than an ack) received that are duplicate.
unsigned | messagesWaitingForReassembly
| Number of messages waiting for reassembly.
unsigned | internalOutputQueueSize
| Number of messages in reliability output queue.
double | bitsPerSecond
| Current bits per second.
RakNetTime | connectionStartTime
| connection start time

## Detailed Description

Network Statisics Usage.

Store Statistics information related to network usage

The documentation for this struct was generated from the following file:

- C:/RakNet/Source/RakNetStatistics.h